
D4Science Infrastructure - VM Creation #9665

Create new VM for social-networking-ws in preprod

Sep 12, 2017 04:17 PM - Costantino Perciante

Status: Closed Start date: Sep 12, 2017

Priority: Normal Due date:  

Assignee: Andrea Dell'Amico % Done: 100%

Target version: UnSprintable   

Infrastructure: Pre-Production Applications list and

version:

social-networking-library-ws 2-1-0

oauth 1-0-0

RAM: 2 Applications context

path:

/social-networking-library-ws

/gcube-oauth

CPU: 2 External storage data

disk:

 

DiskSpace: 10 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

No

Smartgears Version: latest PostgreSQL

database:

No

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: /gcube

/gcube/preprod

  

Description

We currently have a unique machine socialnetworking-d-d4s.d4science.org for preprod and dev environments. It would be better to

have two different machines for these phases.

This is the main ticket about the already available machine https://support.d4science.org/issues/6345

We can keep it for development of course.

Latest build from etics for the service 

http://maven.research-infrastructures.eu/nexus/content/repositories/gcube-staging/org/gcube/portal/social-networking-library-ws/2.1.0

-4.6.1-152935/

Last but not least:

notice that In addition it is very important that this node has a postfix configured to send email

 by using the same SMTP Relay of the Gateways.

History

#1 - Sep 14, 2017 03:50 PM - Tommaso Piccioli

- Status changed from New to In Progress

- % Done changed from 0 to 30

The name ill be "socialnetworking-t.pre.d4science.org"

#2 - Sep 14, 2017 04:48 PM - Andrea Dell'Amico

- Assignee changed from _InfraScience Systems Engineer to Andrea Dell'Amico

Is gcube-oauth also needed? I see that's installed on the dev and prod instances.

#3 - Sep 14, 2017 04:55 PM - Costantino Perciante

- Applications list and version updated
- Applications context path updated

Andrea Dell'Amico wrote:

Is gcube-oauth also needed? I see that's installed on the dev and prod instances.

 You are right. Since we are trying to separate the infrastructures, it is ok to add it there as well. Thanks

#4 - Sep 14, 2017 06:49 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 30 to 90

The VM has been provided and the smtp server configured.

The social-networking-library-ws app fails with the following exception:

2017-09-14 18:41:59,483 [localhost-startStop-1] ERROR org.apache.catalina.core.ContainerBase.[Catalina].[local

host].[/social-networking-library-ws]- StandardWrapper.Throwable

java.lang.NoClassDefFoundError: io/swagger/jaxrs/config/BeanConfig

        at org.gcube.portal.social.networking.swagger.config.Bootstrap.init(Bootstrap.java:23)

        at org.apache.catalina.core.StandardWrapper.initServlet(StandardWrapper.java:1279)

        at org.apache.catalina.core.StandardWrapper.loadServlet(StandardWrapper.java:1192)

        at org.apache.catalina.core.StandardWrapper.load(StandardWrapper.java:1087)

        at org.apache.catalina.core.StandardContext.loadOnStartup(StandardContext.java:5247)

        at org.apache.catalina.core.StandardContext.startInternal(StandardContext.java:5530)

        at org.apache.catalina.util.LifecycleBase.start(LifecycleBase.java:150)

        at org.apache.catalina.core.ContainerBase.addChildInternal(ContainerBase.java:901)

        at org.apache.catalina.core.ContainerBase.addChild(ContainerBase.java:877)

        at org.apache.catalina.core.StandardHost.addChild(StandardHost.java:632)

        at org.apache.catalina.startup.HostConfig.deployWAR(HostConfig.java:1073)

        at org.apache.catalina.startup.HostConfig$DeployWar.run(HostConfig.java:1857)

        at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)

        at java.util.concurrent.FutureTask.run(FutureTask.java:266)

        at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)

        at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)

        at java.lang.Thread.run(Thread.java:748)

Caused by: java.lang.ClassNotFoundException: io.swagger.jaxrs.config.BeanConfig

        at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1719)

        at org.apache.catalina.loader.WebappClassLoader.loadClass(WebappClassLoader.java:1570)

        ... 17 more

#5 - Sep 15, 2017 09:42 AM - Costantino Perciante

Just restarted and everything seems ok http://socialnetworking-t.pre.d4science.org/social-networking-library-ws/rest/

Just one more question: why the ghn.log file is placed under /home/gcube/tomcat/logs/? Something has changed, hasn't it?

I'm going to modify the old node to work with the development infrastructure only, if no more tests are needed by developers for this release.

#6 - Sep 15, 2017 09:52 AM - Roberto Cirillo

Costantino Perciante wrote:

I'm going to modify the old node to work with the development infrastructure only, if no more tests are needed by developers for this release.

 I suggest to stop this new VM and leave the old service in preproduction environment until the rollout in production is performed. The test for the

current release are ongoing.

#7 - Sep 15, 2017 10:01 AM - Andrea Dell'Amico

About the logs: yes, the configuration changed. I'll announce it properly today

#8 - Sep 15, 2017 10:03 AM - Costantino Perciante

Roberto Cirillo wrote:

Costantino Perciante wrote:

I'm going to modify the old node to work with the development infrastructure only, if no more tests are needed by developers for this

release.
 I suggest to stop this new VM and leave the old service in preproduction environment until the rollout in production is performed. The test for the

current release are ongoing.

 Sure, let's keep the new vm stopped and the old one as it is for now

Andrea Dell'Amico wrote:

About the logs: yes, the configuration changed. I'll announce it properly today

 Ok

#9 - Sep 15, 2017 04:20 PM - Andrea Dell'Amico

- Status changed from Feedback to Closed

- % Done changed from 90 to 100
